#
# spec file for package perl-boolean
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-boolean
Version:        0.46
Release:        1.30
%define cpan_name boolean
Summary:        Boolean support for Perl
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/boolean/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
Recommends:     perl(JSON::MaybeXS)
%{perl_requires}

%description
Most programming languages have a native 'Boolean' data type. Perl does
not.

Perl has a simple and well known Truth System. The following scalar values
are false:

    $false1 = undef;
    $false2 = 0;
    $false3 = 0.0;
    $false4 = '';
    $false5 = '0';

Every other scalar value is true.

This module provides basic Boolean support, by defining two special
objects: 'true' and 'false'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING LICENSE README

%changelog
* Sat Jul  9 2016 coolo@suse.com
- updated to 0.46
  see /usr/share/doc/packages/perl-boolean/Changes
  0.46 Fri Jul  8 17:14:32 UTC 2016
  - Apply PR/14 @dagolden++
  - Adds CLONE method for thread safety
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.45
  see /usr/share/doc/packages/perl-boolean/Changes
  0.45 Thu Feb  5 15:39:26 PST 2015
  - Remove last vestige of -truth from the tests!
  0.44 Sat Jan 31 13:55:37 PST 2015
  - Apply PRs 9,10,11 @dagolden++
  0.43 Thu Jan  1 00:27:42 PST 2015
  - Update docs
* Mon Sep 15 2014 coolo@suse.com
- updated to 0.42
  - Meta 0.0.2
  - Remove .gitignore
  0.41 Fri Aug 15 15:41:09 PDT 2014
  - Add t/000-compile-modules.t
  - CPAN Day 2014 - 21 Release Salute!
  0.40 Fri Aug  8 19:12:51 PDT 2014
  - Fix swim errors
  0.39 Sat Aug  2 10:17:12 PDT 2014
  - Fix Copyright years.
  - Fix Meta and add Contributing
  0.38 Wed Jun 25 21:08:05 PDT 2014
  - Revert json.t. Failed on cpantesters.
  0.37 Wed Jun 25 16:47:29 PDT 2014
  - Add JSON to recommends
  0.36 Wed Jun 25 16:46:39 PDT 2014
  - Fix homepage in metadata
  0.35 Tue Jun 17 10:59:25 PDT 2014
  - Remove ABSTRACT and use manual $VERSION
  0.34 Sat Jun 14 13:16:30 PDT 2014
  - Release 0.33 got botched.
  0.33 Sat Jun 14 12:59:00 PDT 2014
  - Package with Zilla::Dist
  - Add badges
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.32
  - Some dzil changes
  - Switch to dzil
* Wed Jul  3 2013 coolo@suse.com
- updated to 0.30
  - Fix https://rt.cpan.org/Public/Bug/Display.html?id=84398
  - Support JSON and JSON::XS. dankogai-san++
* Mon Sep 19 2011 coolo@suse.com
- updated to 0.28
  - Added -truth option.
  - This idea was inspired by https://rt.cpan.org/Ticket/Display.html?id=65536
  - Awesome idea!
  - Released from Liz++&Wendy++ downstairs bathroom
* Sun Apr  3 2011 coolo@novell.com
- updated to 0.26
  - Fixed doc bug reported by KENTNL++
  - Tweaked Makefile.PL
  - Fixed a bug caused by Readonly::XS (schwern++)
  - Removed the new methods and autobox methods.
    They didn't add much except confusion.
  - @Schwern++ found out how to make true and false immutable.
  - Kudos to #strategicdata++.
- see more in Changes
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Aug 22 2010 pascal.bleser@opensuse.org
- initial package (0.20)
